---
search:
  tags:
    - Markets
    - PATCH
seo:
  description: >-
    Updates an existing market's configuration… Reference for the PATCH
    /api/v1/{team_slug}/{app_slug}/markets/{market_slug} endpoint in the
    Management API.
sidebar:
  label: Update an existing market
  badge: PATCH
title: Update an existing market
type: openapi-operation
---
Updates an existing market's configuration including name, slug, locale, currency code, active status, and associated country codes.

`PATCH /api/v1/{team_slug}/{app_slug}/markets/{market_slug}`

**Request body** (`application/json`, required)

Market data

- `active` (boolean)
- `country_codes` (string[], required)
- `currency_code` (string, required)
- `locale` (string, required)
- `name` (string, required)
- `slug` (string, required)

Request body example:

```json
{
  "active": true,
  "country_codes": [
    "string"
  ],
  "currency_code": "string",
  "locale": "string",
  "name": "string",
  "slug": "string"
}
```

**Responses**

- `200` — Market updated successfully
- `400` — Invalid request (e.g. bad UUID, validation error)
- `401` — Unauthorized access
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "active": true,
    "country_codes": [
      "string"
    ],
    "created_at": "string",
    "currency_code": "string",
    "id": "string",
    "locale": "string",
    "name": "string",
    "slug": "string",
    "updated_at": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}
```
